Edsf.PersonaStore.create_address_book – folks-eds Reference Manual

# create_address_book

## Description:

public static async void create_address_book (string id) throws Error

Create a new address book with the given ID.

A new Address Book will be created with the given ID and the EDS SourceRegistry will notice the new Address Book source and will emit source_added with the new E.Source object which `Folks.Backends.Eds.Backend` will then create a new Edsf.PersonaStore from.

## Parameters:

id | the name and id for the new address book

## Exceptions:

GLib.Error | if an error occurred while creating or committing to the E.SourceRegistry

## Since:

0.9.0